cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.34.4.
--
-- see: https://github.com/sol/hpack

name:           morley-large-originator
version:        0.1.0
synopsis:       Developer tools for the Michelson Language
description:    Utility tool to originate large tezos smart contracts.
category:       Blockchain
homepage:       https://gitlab.com/morley-framework/morley
bug-reports:    https://gitlab.com/morley-framework/morley/-/issues
author:         Serokell, Tocqueville Group
maintainer:     Serokell <hi@serokell.io>
copyright:      2019-2021 Tocqueville Group, 2021-2022 Oxhead Alpha
license:        MIT
license-file:   LICENSE
build-type:     Simple
extra-source-files:
    README.md

source-repository head
  type: git
  location: git@gitlab.com:morley-framework/morley.git

executable morley-large-originator
  main-is: Main.hs
  other-modules:
      Paths_morley_large_originator
  hs-source-dirs:
      app
  default-extensions:
      AllowAmbiguousTypes
      ApplicativeDo
      BangPatterns
      BlockArguments
      ConstraintKinds
      DataKinds
      DefaultSignatures
      DeriveAnyClass
      DeriveDataTypeable
      DeriveFoldable
      DeriveFunctor
      DeriveGeneric
      DeriveTraversable
      DerivingStrategies
      DerivingVia
      EmptyCase
      FlexibleContexts
      FlexibleInstances
      GADTs
      GeneralizedNewtypeDeriving
      ImportQualifiedPost
      LambdaCase
      MultiParamTypeClasses
      MultiWayIf
      NamedFieldPuns
      NegativeLiterals
      NumDecimals
      NumericUnderscores
      OverloadedLabels
      OverloadedStrings
      PatternSynonyms
      PolyKinds
      QuantifiedConstraints
      QuasiQuotes
      RankNTypes
      RecordWildCards
      RecursiveDo
      ScopedTypeVariables
      StandaloneDeriving
      StandaloneKindSignatures
      StrictData
      TemplateHaskell
      TupleSections
      TypeApplications
      TypeFamilies
      TypeOperators
      UndecidableInstances
      UndecidableSuperClasses
      ViewPatterns
  ghc-options: -Weverything -Wno-missing-exported-signatures -Wno-missing-import-lists -Wno-missed-specialisations -Wno-all-missed-specialisations -Wno-unsafe -Wno-safe -Wno-missing-local-signatures -Wno-monomorphism-restriction -Wno-implicit-prelude -Wno-prepositive-qualified-module -Wno-missing-safe-haskell-mode -Wno-unused-packages
  build-depends:
      base-noprelude >=4.7 && <5
    , data-default
    , directory
    , filepath
    , fmt
    , lorentz
    , morley
    , morley-client
    , morley-prelude
    , optparse-applicative
    , text
  default-language: Haskell2010
